%define	name	beep-find
%define	oname	beepfind
%define version 0.5.2
%define	rel	2
%define release %mkrel %{rel}

Name:		%{name} 
Summary:	BeepFind plugin for Beep Media Player
Version:	%{version} 
Release:	%{release} 
Source0:	http://heanet.dl.sourceforge.net/sourceforge/xmmsfind/%{oname}-%{version}.tar.bz2
URL:		http://xmmsfind.sourceforge.net/
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:	GPL
BuildRequires:	beep-media-player-devel gtk+1.2-devel

%description
BeepFind is a small plugin for Beep Media Player that enables you to quickly 
search for a file in the current playlist, and at your command, play it.
The plugin is very similar to the built-in "jump to file" util, but since it is 
launched by an external program, it can be invoked by a windowmanager shortcut
(without having beep-media-player in focus).

%prep
%setup -q -n %{oname}-%{version}

%build
%make FLAGS="-rdynamic $RPM_OPT_FLAGS -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
make \
	PLUGIN_INSTALL_DIR=$RPM_BUILD_ROOT%{_libdir}/bmp/General/ \
	REMOTE_INSTALL_DIR=$RPM_BUILD_ROOT%{_bindir} \
	install

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc BUGS README TODO VERSION
%{_bindir}/beepfind_remote
%{_libdir}/bmp/General/libbeepfind.so

%changelog
* Fri May 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.5.2-2mdk
- compile with -fPIC (fixes build on x86_64)
- %%mkrel

* Tue Feb 08 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.2-1mdk
- from Eskild Hustvedt <eskild@goldenfiles.com> :
	o Initial Mandrakelinux package
